﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WUG.Client.Shared.PlatformAbstractions;
using WUG.Core.Services.DataEntities;

namespace WUG.Client.Shared.Models
{
    public class ServiceSpeakerProvider : ISpeakerProvider
    {
        IHttpClient httpClient;
        const string SPEAKERS_URL = "http://api.wug.cz/speakers?ApplicationKey=45CE4F59-1B28-4F6A-B31B-5ED8BA5CE679";

        public ServiceSpeakerProvider(IHttpClient httpClient)
        {
            this.httpClient = httpClient;
        }

        public Task<SpeakerDetail> LoadSpeakerDetailAsync(int speakerID)
        {
            throw new NotImplementedException();
        }

        public async Task<List<SpeakerInfo>> LoadSpeakersAsync()
        {
            var speakersJSON = await httpClient.GetStringAsync(new Uri(SPEAKERS_URL));
            return JsonConvert.DeserializeObject<List<SpeakerInfo>>(speakersJSON);
        }
    }
}
