﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using WUG.Client.Shared.Models;
using WUG.Client.Shared.ViewModels.Pages;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace WUG.Client.WindowsUniversal.Views
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class SpeakersPage : Page
    {
        private SpeakersPageViewModel viewModel;
        public SpeakersPage()
        {
            this.InitializeComponent();
            viewModel = new SpeakersPageViewModel(new ServiceSpeakerProvider(new PlatformSpecific.WebClient()));
            this.DataContext = viewModel;
        }

        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            await viewModel.LoadData();
            base.OnNavigatedTo(e);
            
        }
    }
}
